<?
//-----------------------------------------------------------------------------------------------------------------------------
// фрейм верхнего меню
//-----------------------------------------------------------------------------------------------------------------------------
include_once('c_admin_page.php') ;
class c_fra_top_menu extends c_admin_page
{
  function body($options=array())
  {?><body><div id=wrapper><div id=top_menu><?
     $this->site_top_menu($options);
   ?></div></div></body><?
  }

  // в фрейме вернего меню вообще ничего не нужно
  function site_top_head($options=array()){?><head><link rel="stylesheet" type="text/css" href="<?echo _PATH_TO_EXT?>/frames/style.css"></head><?}

    function site_top_menu($options=array())
    { global $no_show_top_panel ;

      if ($no_show_top_panel or !$_SESSION['member']->id) return ;
      if (!$options['no_top_icons'])
      { ?><div class=left_icons><?
        $src=(_LOGO_CAB)? _LOGO_CAB:_PATH_TO_ADMIN_IMG.'/menu/home_gray.jpg' ;
        ?><a href="/cab/" target='_top'><img src="<?echo $src?>" alt="Главное меню" border=0 height="25" style="margin-top:12px;" /></a><?
        $this->top_menu_icons();
        ?></div><?
      }
      ?><div class='title middle'><? $this->top_menu_title($options['title']) ; ?></div><?
      /*if (!$options['no_top_icons'] or 1) {?><div class=right_icons><?if (_CURRENT_USER=='admin' or _CURRENT_USER=='root' or 1) $this->top_menu_setup_icons() ;?></div><?}*/
      ?><div class=clear></div><?
    }
}
?>